package com.cartoon.live.wallpaper.parent;


import androidx.annotation.NonNull;
import androidx.recyclerview.widget.RecyclerView;
import androidx.viewbinding.ViewBinding;

public class BaseViewHolder<T extends ViewBinding> extends RecyclerView.ViewHolder {

    private T itemVb;

    public BaseViewHolder(@NonNull T itemView) {
        super(itemView.getRoot());
        itemVb = itemView;
    }

    public T getItemVb() {
        return itemVb;
    }
}
